package cn.com.countrygarden.bi.main.service;
import cn.com.countrygarden.bi.main.model.MarketingQuota;
import cn.com.countrygarden.bi.main.core.Service;
import cn.com.countrygarden.bi.main.model.MarketingUploadFile;
import cn.com.countrygarden.bi.main.model.twerp.hm.TbSysUser;
import org.apache.poi.ss.usermodel.Workbook;

import java.util.List;

public interface MarketingQuotaService extends Service<MarketingQuota> {
    Workbook processingExcelValue(Workbook workbook, MarketingUploadFile uploadFile, TbSysUser sysUser);

    MarketingQuota findByUk(int year, int organId);
    MarketingQuota sumThisYear();
    MarketingQuota sumOrganOfThisYear(int organId);

    List<MarketingQuota> search(String search, int offset, int limit);
    boolean softDelete(int id, TbSysUser sysUser);
}
